NNotifyy CRM

Objects

Delete a company

Soft delete a company by company ID.

Overview

Use this endpoint to soft delete a company in the token-bound tenant and project. The public companies layer does not define a separate conflict path for delete operations. It requires public api oauth access token authentication and the crm.companies.delete scope.

DELETE/api/crm/objects/companies/{companyId}

cURL

DELETE
bash
curl --request DELETE \  --url 'https://crm.notifyy.io/api/crm/objects/companies/55' \  --header 'Authorization: Bearer nfy_public_api_access_token'

Authorization

Public API OAuth access token

crm.companies.delete

Sample Request Body

This endpoint does not require a request body.

Sample Response

json
{  "success": true,  "message": "Company deleted successfully",  "data": null}

Status Codes

CodeDescription
200Company was deleted.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Path parameters

companyIdintegerRequired

Company ID.

Example: 55

Response fields

successboolean

Whether the request succeeded.

Example: true

messagestring

Human-readable result message.

Example: Company deleted successfully

datanull

No response payload is returned for a successful delete.